C API Functions

## udbReferenceFile

### Description

Return the file of the specified reference.

### Syntax

     #include "udb/udb.h"
     UdbEntity  udbReferenceFile(UdbReference ref)

### Arguments

Argument | description
UdbReference ref | Specified reference.

### Return Values

Return Value | description
UdbEntity | File entity being referenced.

### Example Usage

     printf ("%s: %s (%s [%d,%d])\n",
                          	 udbKindShortname(udbReferenceKind(ref)),
                          	 udbEntityNameShort(udbReferenceEntity(ref)),
                          	 udbEntityNameShort(udbReferenceFile(ref)),
                          	 udbReferenceLine(ref),
                          	 udbReferenceColumn(ref) );

### See Also

udbReferenceColumn to get the column position of the specified reference.

udbReferenceEntity to get the entity of the specified reference.

udbReferenceKind to get the kind of reference.

udbReferenceLine to get the line of the specified reference.

udbReferenceScope to get the entity performing the reference.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com